%define current_version 7.0.24

%global _hardened_build 1

Name: vzstat
Version: %{current_version}
Release:        1%{?dist}
License: GPLv2
Group: Applications
Summary: %{name} utility for node monitoring
Source: %{name}-%{version}.tar.bz2
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: x86_64

BuildRequires: libvzctl-devel
BuildRequires: ncurses-devel
BuildRequires: libuuid-devel

Requires: libvzctl
Requires: ncurses-libs
Requires: libuuid

%description
This package contains statistic monitoring utility for OpenVZ HW node.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS="$RPM_LD_FLAGS"
%make_build

%install
%make_install MANDIR="%{_mandir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_sbindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man8/%{name}.8*

%changelog
* Fri Feb 07 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.24
 - vzstat do not show actual IO and IOPS limits #PSBM-101150

* Fri Jan 31 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.23
 - Fixed comp[ilation warning

* Thu Jan 30 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.22
 - vzstat do not show actual IO and IOPS limits #PSBM-101150

* Thu Sep 26 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.21
 - Fix total processes sort #PSBM-97932 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - Fix running process counting #PSBM-97932 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - man/vzstat.8: fix spelling

* Fri Jun 21 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.20
 - man/vzstat.8: add -c description #PSBM-95655
 - vzstat: -p option does not work #PSBM-95655
 - Update Copyright

* Wed Oct 17 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.19
 - Fixed compilation warning

* Fri Oct 12 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.18
 - process CT cpu weight parameter #PSBM-76790

* Thu Oct 11 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.17
 - CT id is truncated #PSBM-76801

* Tue Jun 06 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.16
 - Don't ignore fscanf return value (Andrey Bondrov <abondrov@virtuozzo.com>)
 - Enable hardened build, see #PSBM-58107 (Andrey Bondrov
<abondrov@virtuozzo.com>)

* Tue Jun 06 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.15-3
- Enable hardened build, see #PSBM-58107

* Fri Apr 28 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.15
 - IO is not updated for CTID in uuid format #PSBM-65552
 - Fixed path to CT cpu.proc.stat,cpu.delayacct.total

* Wed Apr 26 2017 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.13
 - Fix terminal color corruption (Inga Pyass <ipyass@virtuozzo.com>) (#PSBM-65422)

* Fri Mar 10 2017 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.12
 - Update copyrights (Andrey Bondrov <abondrov@virtuozzo.com>)

* Mon Feb 27 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10
 - Drop DEFAULT_ defs, see #PSBM-58317

* Fri Feb 17 2017 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.9
 - Added rebrand defines, see #PSBM-58317 (Konstantin Volkov
<wolf@virtuozzo.com>)

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.8-2
- Rebuild in 7.3 environment

* Sat Jun 25 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.8
 - Remove /proc/fairsched related code (PSBM-48870) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Tue Feb 09 2016 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.7
 - Allow passing additional CFLAGS to build process (Denis Silakov
<dsilakov@gmail.com>)

* Thu Dec 31 2015 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.6
 - Fixed misprint in INSTALLMAN

* Thu Dec 31 2015 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.5
 - Fixed missing INSTALL (Ashley <ashley@victorianfox.com>)

* Wed Dec 30 2015 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.4
 - Create target directories and add LDFLAGS to the linker (Ashley
<ashley@victorianfox.com>)

* Thu Jul 16 2015 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.3
 - obtain swapin/swapout rate using /proc/vmstat (#PSBM-17886)
 - compile with -Wextra -Werror -Wno-missing-field-initializers
 - fix a format string vulnerability in parse_mounts()

* Wed Jul 15 2015 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.2
 - add opensource-related files and disclaimers
 - change license to GPLv2

* Wed Jul 15 2015 Igor Bazhitov <ibazhitov@virtuozzo.com> 7.0.1
- leave only vzstat utility in the package

* Tue Jul 14 2015 Konstantin Volkov <wolf@odin.com> 7.0.0-2
- Drop vzmodules and vzinitscripts requires
